package com.perforce.workshop.tjuricek.p4java_ext;

import java.util.Map;

/**
 * Wraps the returned map from P4Java with some helper methods.
 */
public class DepotSpec {

    private Map<String, Object> depotMap;

    public DepotSpec(Map<String, Object> depotMap) {
        this.depotMap = depotMap;
    }

    public Map<String, Object> getDepotMap() {
        return depotMap;
    }

    /**
     * A lot of values come out of the API with space, etc, appended, so this just makes sure the
     * value is just a normal string, cleaning up most client calls.
     *
     * @param key The client property, e.g., "Client", "Owner"
     * @return String value of the property
     */
    public String get(String key) {
        return ((String) depotMap.get(key)).trim();
    }

    public void put(String key, String value) {
        depotMap.put(key, value);
    }


}
