package com.perforce.workshop.tjuricek.p4java_ext;

/**
 * Almost all methods in the p4data project, when they encounter an
 * unrecoverable issue, will throw this exception, instead of a typed
 * exception.
 */
public class P4Exception extends RuntimeException {

    private String codeValue;

    public P4Exception() {
        super();
    }

    public P4Exception(String s) {
        super(s);
    }

    public P4Exception(String s, String codeValue) {
        this(s);
        this.codeValue = codeValue;
    }

    public P4Exception(String s, Throwable throwable) {
        super(s, throwable);
    }

    public P4Exception(Throwable throwable) {
        super(throwable);
    }

    /**
     * When non-null, this exception was generated from the Perforce server
     * (as opposed to p4Java), and represents some server code.
     */
    public String getCodeValue() {
        return codeValue;
    }

    public void setCodeValue(String codeValue) {
        this.codeValue = codeValue;
    }
}
