package com.perforce.workshop.tjuricek.p4java_ext;

import com.perforce.p4java.exception.P4JavaException;
import com.perforce.p4java.server.IOptionsServer;

import java.util.Map;

/**
 * Access to the p4 shelve command
 */
public interface P4Shelve extends P4ClientConnection, P4Errors {

    static P4Shelve create(P4ClientConnection conn) {
        return new DefaultP4Shelve(conn);
    }

    /**
     * Removes all shelved files on the changelist.
     *
     * @param changelist Pending changelist ID, should be on the current client
     */
    default void delete(String changelist) {

        try {
            String[] opts = new String[]{"-d", "-c", changelist};

            IOptionsServer server = getOptionsServer();
            Map<String, Object>[] results = server.execMapCmd("shelve", opts, null);

            checkError(results);

        } catch (P4JavaException p4) {
            throw new P4Exception(p4);
        }
    }
}
